Page MenuHomePhabricator

Metrics from wdqs updater JMX should be prefixed
Closed, ResolvedPublic

Description

Noticed this while investigating something else, metrics exposed by jmx_exporter running on wdqs-updater should be prefixed with wdqs_updater_ to make it more clear what they are referring to. I believe this can be achieved either via jmx_exporter config via rules or by Prometheus server itself at scrape time, with the former being preferred IMO.

wdqs1004:~$ curl -s localhost:9101/metrics | grep -v ^# | grep metrics
metrics_rdf_fetch_timer_98thPercentile 153.172966
metrics_constraint_fetch_timer_StdDev 13.365816886763675
metrics_kafka_changes_timer_Count 93957.0
metrics_rdf_fetch_timer_Min 78.93668199999999
metrics_kafka_changes_timer_MeanRate 0.2910079145414642
metrics_rdf_fetch_timer_75thPercentile 113.298346

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 29 2018, 1:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Mathew.onipe Is this something you can do? @Gehel is on parental leave, so he's out for the month.

Change 479395 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] wdqs: prefix exporter with wdqs_updater_

https://gerrit.wikimedia.org/r/479395

Mathew.onipe triaged this task as Medium priority.
Addshore moved this task from incoming to monitoring on the Wikidata board.Dec 19 2018, 12:46 PM

Change 489658 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[wikidata/query/rdf@master] Add prefix for jmx exporter metrics

https://gerrit.wikimedia.org/r/489658

Change 479395 abandoned by Mathew.onipe:
wdqs: prefix exporter with wdqs_updater_

Reason:
has been moved here: https://gerrit.wikimedia.org/r/c/wikidata/query/rdf/ /489658

https://gerrit.wikimedia.org/r/479395

Change 489658 merged by jenkins-bot:
[wikidata/query/rdf@master] Add domain for wdqs-updater and wdqs-blazegraph metrics

https://gerrit.wikimedia.org/r/489658

debt closed this task as Resolved.Mar 8 2019, 6:03 PM